ECHO OFF
IF EXIST *.INP DEL *.INP
DXFPRMP
IF ERRORLEVEL 8 GOTO DXFMC
IF ERRORLEVEL 6 GOTO MCDXF
IF ERRORLEVEL 4 GOTO EXIT

rem ************* MICRO CADAM TO DXF ******
:MCDXF
OUTPP
IF ERRORLEVEL 1 GOTO EXIT

ECHO EXTRACTING MICRO CADAM DRAWINGS...
ETMAINP <MCCML.INP
IF ERRORLEVEL 1 GOTO BADEXTR

ECHO TRANSLATING FILES...
CMLDXF <MCDXF.INP >SCRATCH.INP
IF ERRORLEVEL 1 GOTO BADTRAN
ECHO PROCESSING COMPLETE.
GOTO EXIT

rem ************* DXF TO MICRO CADAM ******
:DXFMC
INPP
IF ERRORLEVEL 1 GOTO EXIT

ECHO TRANSLATING DXF FILES...
DXFCML <MCDXF.INP >SCRATCH.INP
IF ERRORLEVEL 1 GOTO DXFTRAN

ECHO CREATING MICRO CADAM DRAWINGS...
CDMAINP <MCCML.INP
IF ERRORLEVEL 1 GOTO BADMC
ECHO PROCESSING COMPLETE.
GOTO EXIT

:DXFTRAN
ECHO An error occurred while translating the DXF file(s) into
echo MICRO CADAM.  Please review your inputs and check the errlog
echo and mcerrlog files.
GOTO EXIT

:BADMC
ECHO An error occurred while creating the MICRO CADAM model(s).
echo Please review your inputs and check the errlog and mcerrlog
echo files.
GOTO EXIT

:BADEXTR
echo An error occurred while extraction MICRO CADAM model information.
echo Please review your inputs and check errlog and mcerrlog for 
echo further information.
GOTO EXIT

:BADTRAN
echo An error occurred while translating the CML file to DXF.  
echo Please review your inputs and check errlog and mcerrlog 
echo files for further information.
GOTO EXIT

:EXIT
IF EXIST *.CML DEL *.CML
IF EXIST *.INP DEL *.INP
ECHO ON
